import React from 'react';
import { useSessionCache } from '@graphpolaris/shared/lib/data-access';

export const DatabaseMenu = (props: { onClick: (database: string) => void }) => {
  const session = useSessionCache();

  return (
    <ul className="menu dropdown-content absolute right-48 z-[1] p-2 shadow-xl bg-offwhite-100 rounded-box w-52" tabIndex={0}>
      {session.databases &&
        session.databases.map((db: any) => (
          <li key={db.Name}>
            <button onClick={() => props.onClick(db.Name)}>{db.Name}</button>
          </li>
        ))}
    </ul>
  );
};
